id: wordpress-host-webfonts-local

info:
  name: OMGF | GDPR/DSGVO Compliant, Faster Google Fonts. Easy. Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/host-webfonts-local/
  metadata:
    plugin_namespace: host-webfonts-local
    wpscan: https://wpscan.com/plugin/host-webfonts-local
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/host-webfonts-local/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/host-webfonts-local.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402207e642091becd7801ec1697d79c1b3ccf782fe80510792841511e4fe01439b0170220573689b0bfef5ca649a957b808c4220a15107107e2f1209ef7e857d3479a56db:922c64590222798bb761d5b6d8e72950